% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_delete_internet_gateway}
\alias{ec2_delete_internet_gateway}
\title{Deletes the specified internet gateway}
\usage{
ec2_delete_internet_gateway(DryRun, InternetGatewayId)
}
\arguments{
\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}

\item{InternetGatewayId}{[required] The ID of the internet gateway.}
}
\value{
An empty list.
}
\description{
Deletes the specified internet gateway. You must detach the internet
gateway from the VPC before you can delete it.
}
\section{Request syntax}{
\preformatted{svc$delete_internet_gateway(
  DryRun = TRUE|FALSE,
  InternetGatewayId = "string"
)
}
}

\examples{
\dontrun{
# This example deletes the specified Internet gateway.
svc$delete_internet_gateway(
  InternetGatewayId = "igw-c0a643a9"
)
}

}
\keyword{internal}
